Subject: Re: General problems creating executables
From: "Michael A Chase" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 5 Feb 2002 08:33:53 -0800

Comments below.
--
Mac :})
** I normally forward private questions to the appropriate mail list. **
Ask Smarter: http://www.tuxedo.org/~esr/faqs/smart-questions.htm
Give a hobbit a fish and he eats fish for a day.
Give a hobbit a ring and he eats fish for an age.
----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, February 05, 2002 05:57
Subject: Re: General problems creating executables

> I've just installed from "setup.exe" launched from www.cygwin.com
> and have this log with the Hello world program :
> "sub-system MS-DOS 16 bits" titled warning window appears on
> Windows2000 (service pack2)
> (without ntsec, just set CYGWIN=tty notitle glob)
>
> $ make Hello
> gcc     Hello.c   -o Hello
>       0 [main] gcc 1376 proc_subproc: Couldn't duplicate my handle<0x34>
for
> pid 1064, Win32 error 6
>
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld:
> installation problem, cannot ex
> ec `/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-
> cygwin/bin/ld': Invalid argument
> collect2: ld returned 255 exit status
> make: *** [Hello] Error 1

I'm not knowedgeable enough of to comment on this, but someone will need to
see your make file.  The output from 'cygcheck -s' might also help.

> $ find / -name cygwin1.dll
> /bin/cygwin1.dll
> /usr/bin/cygwin1.dll

This is normal.  /usr/bin is normally mounted to the same directory as /bin.

> $ ll /bin/cygwin1.dll
> -rwxr-xr-x    1 Administ Aucun      768840 Jan 21 17:52 /bin/cygwin1.dll
> $ ll /usr/bin/cygwin1.dll
> -rwxr-xr-x    1 Administ Aucun      768840 Jan 21 17:52
/usr/bin/cygwin1.dll

This is also normal for the same reason.

> $ du -ks /usr/local/*
> 0       /usr/local/bin
> 0       /usr/local/etc
> 0       /usr/local/lib

This is also normal.  None of the normal cygwin packages put anything in the
/usr/local tree.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/